--- title: "getCloudMongoDbTargetSubnetList" slug: "database-vmongodb-getcloudmongodbtargetsubnetlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmongodb-getcloudmongodbtargetsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMongoDbTargetSubnetList Available in VPC Get the list of subnets available to use in Cloud DB for MongoDB. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmongodb/v2/getCloudMongoDbTargetSubnetList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) request headers](/docs/en/database-vmongodb#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the subnet to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `vpcNo` | String | Required | Filter by VPC number - See [getCloudMongoDbTargetVpcList](/docs/en/database-vmongodb-getcloudmongodbtargetvpclist) | | `cloudMongoDbImageProductCode` | String | Required | Filter by Cloud DB for MongoDB image product code - See [getCloudMongoDbImageProductList](/docs/en/database-vmongodb-getcloudmongodbimageproductlist) | | `isPublic` | Boolean | Optional | Filter by public subnet status - `true` (default) \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbTargetSubnetList ?regionCode=KR &vpcNo=59*** &cloudMongoDbImageProductCode=SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050 &isPublic=true &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetSubnetList](/docs/en/common-vapidatatype-targetsubnetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) response status codes](/docs/en/database-vmongodb#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMongoDbTargetSubnetListResponse": { "totalRows": 1, "targetSubnetList": [ { "subnetNo": "140***", "subnetName": "***-subnet2", "vpcNo": "59***", "vpcName": "***-vpc", "zoneCode": "KR-1", "subnet": "**.**.**.**/**", "isPublic": true, "createdDate": "2024-03-29T11:20:34+0900" } ], "requestId": "32252c00-****-****-****-c2405ed6bdae", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 32252c00-****-****-****-c2405ed6bdae 0 success 1 140*** ***-subnet2 59*** ***-vpc KR-1 **.**.**.**/** true 2024-03-29T11:20:34+0900 ```